> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get space list

> Get space list by query

Required token scopes: `space|read`



## OpenAPI

````yaml /swagger.json get /space
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /space:
    get:
      tags:
        - space
      summary: Get space list
      description: |-
        Get space list by query

        Required token scopes: `space|read`
      responses:
        '200':
          description: Returns the list of space.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    avatar:
                      type: string
                      nullable: true
                    role:
                      type: string
                      enum:
                        - owner
                        - creator
                        - editor
                        - commenter
                        - viewer
                    organization:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                      required:
                        - id
                        - name
                    dataDb:
                      type: object
                      properties:
                        mode:
                          type: string
                          enum:
                            - default
                            - byodb
                        state:
                          type: string
                          enum:
                            - ready
                            - validating
                            - initializing
                            - migrating
                            - error
                            - disabled
                        provider:
                          type: string
                          enum:
                            - postgres
                        displayHost:
                          type: string
                        displayDatabase:
                          type: string
                        internalSchema:
                          type: string
                        schemaVersion:
                          type: string
                          nullable: true
                        lastValidatedAt:
                          type: string
                        lastError:
                          type: string
                        capabilities:
                          type: object
                          properties:
                            createSchema:
                              type: boolean
                            createTable:
                              type: boolean
                            createFunction:
                              type: boolean
                            createTrigger:
                              type: boolean
                            createRole:
                              type: boolean
                            grantPrivileges:
                              type: boolean
                            inspectActivity:
                              type: boolean
                          required:
                            - createSchema
                            - createTable
                            - createFunction
                            - createTrigger
                            - createRole
                            - grantPrivileges
                            - inspectActivity
                        health:
                          type: object
                          properties:
                            state:
                              type: string
                              enum:
                                - healthy
                                - read_only
                                - unreachable
                                - degraded
                            reason:
                              type: string
                              nullable: true
                            changedAt:
                              type: string
                            lastCheckAt:
                              type: string
                          required:
                            - state
                        migration:
                          type: object
                          properties:
                            jobId:
                              type: string
                            state:
                              type: string
                              enum:
                                - pending
                                - waiting_worker
                                - preflight
                                - freezing_writes
                                - copying
                                - validating
                                - switching
                                - succeeded
                                - failed
                                - canceled
                                - rolled_back
                            targetInternalSchema:
                              type: string
                            switchOnCompletion:
                              type: boolean
                            lastError:
                              type: string
                              nullable: true
                          required:
                            - jobId
                            - state
                            - targetInternalSchema
                        relatedSpaces:
                          type: object
                          properties:
                            primarySpaceId:
                              type: string
                            hasCrossSpaceLinks:
                              type: boolean
                            spaces:
                              type: array
                              items:
                                type: object
                                properties:
                                  spaceId:
                                    type: string
                                  name:
                                    type: string
                                  isPrimary:
                                    type: boolean
                                  baseIds:
                                    type: array
                                    items:
                                      type: string
                                  tableIds:
                                    type: array
                                    items:
                                      type: string
                                  dataDbMode:
                                    type: string
                                    enum:
                                      - default
                                      - byodb
                                  dataDbState:
                                    type: string
                                    enum:
                                      - ready
                                      - validating
                                      - initializing
                                      - migrating
                                      - error
                                      - disabled
                                  dataDbConnectionId:
                                    type: string
                                    nullable: true
                                  dataDbUrlFingerprint:
                                    type: string
                                    nullable: true
                                  dataDbDatabaseFingerprint:
                                    type: string
                                    nullable: true
                                  dataDbDisplayHost:
                                    type: string
                                    nullable: true
                                  dataDbDisplayDatabase:
                                    type: string
                                    nullable: true
                                  dataDbInternalSchema:
                                    type: string
                                    nullable: true
                                required:
                                  - spaceId
                                  - name
                                  - isPrimary
                                  - baseIds
                                  - tableIds
                                  - dataDbMode
                            links:
                              type: array
                              items:
                                type: object
                                properties:
                                  fromSpaceId:
                                    type: string
                                  fromTableId:
                                    type: string
                                  fromFieldId:
                                    type: string
                                  toSpaceId:
                                    type: string
                                  toTableId:
                                    type: string
                                required:
                                  - fromSpaceId
                                  - fromTableId
                                  - fromFieldId
                                  - toSpaceId
                                  - toTableId
                          required:
                            - primarySpaceId
                            - hasCrossSpaceLinks
                            - spaces
                            - links
                      required:
                        - mode
                        - state
                  required:
                    - id
                    - name
                    - role
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/space \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/space';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/space',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("app.teable.ai")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("GET", "/api/space", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````